Packages - Freedom Issue #3272

[betterdiscordctl] Appears only to be useful with proprietary Discord
2022-05-05 04:36 PM - gap

Status: fixed % Done: 100%
Priority: bug

Assignee: bill-auger

Category:

Description

Notably this package is only in the ARM repos so | presume it's imported from ArchARM.

Related issues:

Related to Packages - Freedom Issue #3370: betterdiscordctl (nonfree software) duplicate
Related to Packages - Freedom Issue #2489: [discord] Non free software fixed
History

#1 - 2022-12-21 03:43 PM - bill-auger

- Related to Freedom Issue #3370: betterdiscordctl (nonfree software) added

#2 - 2022-12-21 03:46 PM - bill-auger
- Assignee set to bill-auger

- Status changed from unconfirmed to in progress

Updated by gap:

Confirmed: only useful with proprietary software.

Updated by GNUtoo:

I've looked a bit into it but | didn't understand what betterdiscordctl is supposed to do.
Does it interact with nonfree software that you are supposed to install on your computer?
Denis.

#3 - 2022-12-21 03:50 PM - bill-auger

without looking at the source code, i am inclined to call this one "fully libre" and FSDG-fit - AFAICT, this program does nothing more than to download,
install, and configure another program: 'better-discord' - 'better-discord' is apache2-licensed; so there is not necessarily any FSDG conflict - it is not
obvious what 'better-discord’ actually is (other than a poorly-licensed heap of javascript) - it appears to be a patch-set or javascript "plugin” for a
proprietary discordapp desktop "app" (whatever that means - probalby electron?)

Confirmed: only useful with proprietary software.

just to be pedantic, thats probably not quite accurate - whether or not the software running on the server is libre, it is effectively non-free for all users;
because the software is not running on a computer which any user controls - the server program is neither non-free nor libre - it's licensing is totally
irrelevant to any user

this is not a unique subject though - it is fairly common - i may call it "the telegram client problem" or "the libre client for SaaSS delusion” - there is no
FSDG prescription for "software only useful with non-free or with SaaSS"; and RMS has stated so explicitly when asked about the telegram client

it has other issues though, such the downloader/installer pulling other binaries from the network - i would be fine with blacklisting this with no
replacement - maybe someone would want to audit it properly and patch-out the downloader someday - my guess is that most parabola users would
never use this program; so i would not represent a loss of important functionality for parabola

#4 - 2022-12-21 04:26 PM - bill-auger

- Status changed from in progress to fixed

$ grep discord blacklist.txt
betterdiscordctl: :parabola:3272: [technical] [uses-nonfree] downloader/installer for another program (better-dis
cord - also libre), which reuqgires/suggests ('uses-nonfree') discordapp desktop "app" (electron?)
discord-canary: :parabola:2489:: [nonfree] No source code available - redistribution-only license
discord::parabola:2489:: [nonfree] No source code available - redistribution-only license

#5 - 2022-12-21 04:29 PM - bill-auger
- Related to Freedom Issue #2489: [discord] Non free software added
